/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomNamedNodeMap_H___INT_
#define __GdomNamedNodeMap_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "NamedNodeMap.h"
namespace WebCore {
    gpointer toGDOM(NamedNodeMap* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMNamedNodeMap : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_NAMED_NODE_MAP; }
    GDOMNamedNodeMap(PassRefPtr<WebCore::NamedNodeMap> impl);
    virtual ~GDOMNamedNodeMap();
    WebCore::NamedNodeMap* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::NamedNodeMap> m_impl;
};
G_END_DECLS

#endif /* __GdomNamedNodeMap_H___INT_*/
